Config
Interface: Config<T>
Defined in: app/api/client/types.gen.ts:22
Extends
Omit<CreateAxiosDefaults,"auth"|"baseURL"|"headers"|"method">.Config
Extended by
Type Parameters
T
T *extends* ClientOptions = ClientOptions
Properties
adapter?
optionaladapter?:AxiosAdapterConfig|AxiosAdapterConfig[]
Defined in: node_modules/axios/index.d.ts:380
Inherited from
[object Object]
allowAbsoluteUrls?
optionalallowAbsoluteUrls?:boolean
Defined in: node_modules/axios/index.d.ts:370
Inherited from
[object Object]
allowedSocketPaths?
optionalallowedSocketPaths?:string|string[] |null
Defined in: node_modules/axios/index.d.ts:406
Inherited from
[object Object]
auth?
optionalauth?: ((auth) => AuthToken | Promise<AuthToken>) |AuthToken
Defined in: app/api/core/types.gen.ts:46
Auth token or a function returning auth token. The resolved value will be
added to the request payload as defined by its security array.
Inherited from
axios?
optionalaxios?:AxiosStatic|AxiosInstance
Defined in: app/api/client/types.gen.ts:31
Axios implementation. You can use this option to provide either an
AxiosStatic or an AxiosInstance.
Default
axios
baseURL?
optionalbaseURL?:T["baseURL"]
Defined in: app/api/client/types.gen.ts:35
Base URL for all requests made by this client.
beforeRedirect?
optionalbeforeRedirect?: (options,responseDetails,requestDetails) =>void
Defined in: node_modules/axios/index.d.ts:393
Parameters
options
Record<string, any>
responseDetails
headers
Record<string, string>
statusCode
[object Object]
requestDetails
headers
Record<string, string>
method
[object Object]
url
[object Object]
Returns
[object Object]
Inherited from
[object Object]
bodySerializer?
optionalbodySerializer?:BodySerializer|null
Defined in: app/api/core/types.gen.ts:51
A function for serializing request body parameter. By default, JSON.stringify() will be used.
Inherited from
cancelToken?
optionalcancelToken?:CancelToken
Defined in: node_modules/axios/index.d.ts:411
Inherited from
[object Object]
data?
optionaldata?:any
Defined in: node_modules/axios/index.d.ts:376
Inherited from
[object Object]
decompress?
optionaldecompress?:boolean
Defined in: node_modules/axios/index.d.ts:412
Inherited from
[object Object]
env?
optionalenv?:object
Defined in: node_modules/axios/index.d.ts:416
fetch?
optionalfetch?: (input,init?) =>Promise<Response>
Parameters
input
string | URL | Request
init?
[object Object]
Returns
Promise<Response>
FormData?
optionalFormData?: (...args) =>object
Parameters
args
...any[]
Returns
[object Object]
Request?
optionalRequest?: (input,init?) =>Request
Parameters
input
string | URL | Request
init?
[object Object]
Returns
[object Object]
Response?
optionalResponse?: (body?,init?) =>Response
Parameters
body?
string | ArrayBuffer | Blob | FormData | URLSearchParams | ArrayBufferView<ArrayBufferLike> | null
init?
[object Object]
Returns
[object Object]
Inherited from
[object Object]
family?
optionalfamily?:AddressFamily
Defined in: node_modules/axios/index.d.ts:426
Inherited from
[object Object]
fetchOptions?
optionalfetchOptions?:Record<string,any> |Omit<RequestInit,"headers"|"method"|"signal"|"body">
Defined in: node_modules/axios/index.d.ts:445
Inherited from
[object Object]
formDataHeaderPolicy?
optionalformDataHeaderPolicy?:"legacy"|"content-only"
Defined in: node_modules/axios/index.d.ts:450
Inherited from
[object Object]
formSerializer?
optionalformSerializer?:FormSerializerOptions
Defined in: node_modules/axios/index.d.ts:425
Inherited from
[object Object]
headers?
optionalheaders?:AxiosRequestHeaders|Record<string,unknown>
Defined in: app/api/client/types.gen.ts:42
An object containing any HTTP headers that you want to pre-populate your
Headers object with.
Overrides
http2Options?
optionalhttp2Options?:Record<string,any> &object
Defined in: node_modules/axios/index.d.ts:447
Type Declaration
sessionTimeout?
optionalsessionTimeout?:number
Inherited from
[object Object]
httpAgent?
optionalhttpAgent?:any
Defined in: node_modules/axios/index.d.ts:408
Inherited from
[object Object]
httpsAgent?
optionalhttpsAgent?:any
Defined in: node_modules/axios/index.d.ts:409
Inherited from
[object Object]
httpVersion?
optionalhttpVersion?:1|2
Defined in: node_modules/axios/index.d.ts:446
Inherited from
[object Object]
insecureHTTPParser?
optionalinsecureHTTPParser?:boolean
Defined in: node_modules/axios/index.d.ts:415
Inherited from
[object Object]
lookup?
optionallookup?: ((hostname,options,cb) =>void) | ((hostname,options) =>Promise<LookupAddress| [LookupAddressEntry|LookupAddressEntry[],AddressFamily]>)
Defined in: node_modules/axios/index.d.ts:427
Inherited from
[object Object]
maxBodyLength?
optionalmaxBodyLength?:number
Defined in: node_modules/axios/index.d.ts:390
Inherited from
[object Object]
maxContentLength?
optionalmaxContentLength?:number
Defined in: node_modules/axios/index.d.ts:388
Inherited from
[object Object]
maxRate?
optionalmaxRate?:number| [number,number]
Defined in: node_modules/axios/index.d.ts:392
Inherited from
[object Object]
maxRedirects?
optionalmaxRedirects?:number
Defined in: node_modules/axios/index.d.ts:391
Inherited from
[object Object]
method?
optionalmethod?:"CONNECT"|"DELETE"|"GET"|"HEAD"|"OPTIONS"|"PATCH"|"POST"|"PUT"|"TRACE"
Defined in: app/api/core/types.gen.ts:75
The request method.
Inherited from
onDownloadProgress?
optionalonDownloadProgress?: (progressEvent) =>void
Defined in: node_modules/axios/index.d.ts:387
Parameters
progressEvent
[object Object]
Returns
[object Object]
Inherited from
[object Object]
onUploadProgress?
optionalonUploadProgress?: (progressEvent) =>void
Defined in: node_modules/axios/index.d.ts:386
Parameters
progressEvent
[object Object]
Returns
[object Object]
Inherited from
[object Object]
params?
optionalparams?:any
Defined in: node_modules/axios/index.d.ts:374
Inherited from
[object Object]
paramsSerializer?
optionalparamsSerializer?:ParamsSerializerOptions|CustomParamsSerializer
Defined in: node_modules/axios/index.d.ts:375
Inherited from
[object Object]
parseReviver?
optionalparseReviver?: (this,key,value,context?) =>any
Defined in: node_modules/axios/index.d.ts:444
Parameters
this
[object Object]
key
[object Object]
value
[object Object]
context?
source
[object Object]
Returns
[object Object]
Inherited from
[object Object]
proxy?
optionalproxy?:false|AxiosProxyConfig
Defined in: node_modules/axios/index.d.ts:410
Inherited from
[object Object]
querySerializer?
optionalquerySerializer?:QuerySerializer|QuerySerializerOptions
Defined in: app/api/core/types.gen.ts:86
A function for serializing request query parameters. By default, arrays will be exploded in form style, objects will be exploded in deepObject style, and reserved characters are percent-encoded.
This method will have no effect if the native paramsSerializer() Axios
API function is used.
Inherited from
redact?
optionalredact?:string[]
Defined in: node_modules/axios/index.d.ts:451
Inherited from
[object Object]
requestValidator?
optionalrequestValidator?: (data) =>Promise<unknown>
Defined in: app/api/core/types.gen.ts:92
A function validating request data. This is useful if you want to ensure the request conforms to the desired shape, so it can be safely sent to the server.
Parameters
data
[object Object]
Returns
Promise<unknown>
Inherited from
responseEncoding?
optionalresponseEncoding?:StringLiteralsOrString<responseEncoding>
Defined in: node_modules/axios/index.d.ts:383
Inherited from
[object Object]
responseTransformer?
optionalresponseTransformer?: (data) =>Promise<unknown>
Defined in: app/api/core/types.gen.ts:97
A function transforming response data before it's returned. This is useful for post-processing data, e.g. converting ISO strings into Date objects.
Parameters
data
[object Object]
Returns
Promise<unknown>
Inherited from
responseType?
optionalresponseType?:ResponseType
Defined in: node_modules/axios/index.d.ts:382
Inherited from
[object Object]
responseValidator?
optionalresponseValidator?: (data) =>Promise<unknown>
Defined in: app/api/core/types.gen.ts:103
A function validating response data. This is useful if you want to ensure the response conforms to the desired shape, so it can be safely passed to the transformers and returned to the user.
Parameters
data
[object Object]
Returns
Promise<unknown>
Inherited from
signal?
optionalsignal?:GenericAbortSignal
Defined in: node_modules/axios/index.d.ts:414
Inherited from
[object Object]
socketPath?
optionalsocketPath?:string|null
Defined in: node_modules/axios/index.d.ts:405
Inherited from
[object Object]
throwOnError?
optionalthrowOnError?:T["throwOnError"]
Defined in: app/api/client/types.gen.ts:59
Throw an error instead of returning it in the response?
Default
false
timeout?
optionaltimeout?:number
Defined in: node_modules/axios/index.d.ts:377
Inherited from
[object Object]
timeoutErrorMessage?
optionaltimeoutErrorMessage?:string
Defined in: node_modules/axios/index.d.ts:378
Inherited from
[object Object]
transformRequest?
optionaltransformRequest?:AxiosRequestTransformer|AxiosRequestTransformer[]
Defined in: node_modules/axios/index.d.ts:371
Inherited from
[object Object]
transformResponse?
optionaltransformResponse?:AxiosResponseTransformer|AxiosResponseTransformer[]
Defined in: node_modules/axios/index.d.ts:372
Inherited from
[object Object]
transitional?
optionaltransitional?:TransitionalOptions
Defined in: node_modules/axios/index.d.ts:413
Inherited from
[object Object]
transport?
optionaltransport?:any
Defined in: node_modules/axios/index.d.ts:407
Inherited from
[object Object]
url?
optionalurl?:string
Defined in: node_modules/axios/index.d.ts:367
Inherited from
[object Object]
validateStatus?
optionalvalidateStatus?: ((status) =>boolean) |null
Defined in: node_modules/axios/index.d.ts:389
Inherited from
[object Object]
withCredentials?
optionalwithCredentials?:boolean
Defined in: node_modules/axios/index.d.ts:379
Inherited from
[object Object]
withXSRFToken?
optionalwithXSRFToken?:boolean| ((config) =>boolean|undefined)
Defined in: node_modules/axios/index.d.ts:443
Inherited from
[object Object]
xsrfCookieName?
optionalxsrfCookieName?:string
Defined in: node_modules/axios/index.d.ts:384
Inherited from
[object Object]
xsrfHeaderName?
optionalxsrfHeaderName?:string
Defined in: node_modules/axios/index.d.ts:385
Inherited from
[object Object]